Package org.eclipse.m2m.atl.adt.ui.preferences

## Class ModifyDialogTabPage.StringPreference.Validator

- java.lang.Object
- - org.eclipse.m2m.atl.adt.ui.preferences.ModifyDialogTabPage.StringPreference.Validator

Enclosing class:
  ModifyDialogTabPage.StringPreference

    protected class ModifyDialogTabPage.StringPreference.Validator
    extends java.lang.Object

Validates the input.

The default implementation declares all non-`null` values as valid.

Since:
  3.6

### Constructor Summary

Constructors
`protected` `Validator()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Validator

    protected Validator()